# coding: utf-8

import ConfigParser
import MySQLdb
import sys
import os
import yaml

config = yaml.load(open('/etc/mysql/mysqlchk.yaml', 'r'))

path = os.path.dirname(__file__)
sys.path.append(path)
os.chdir(path)

def application(environ, start_response):
    db = config.get('mysql')
    try:
        db = MySQLdb.connect(**db)
        cur = db.cursor()
        cur.execute(config['check'].get('query', 'SELECT 1;'))

        start_response(
            '200 OK', [('Content-Type', 'text/plain')])
        return ['OK']
    except Exception as e:
        start_response(
            '500 Internal Server Error', [('Content-Type', 'text/plain')])
        return ['FAILED: ', str(e)]
